package com.mortals.xhx.module.business.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.api.PrintCatalogVO;
import com.mortals.xhx.module.print.model.PrintCatalogEntity;
import com.mortals.xhx.module.print.model.PrintCatalogQuery;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.business.model.BusinessLicenseEntity;
import com.mortals.xhx.module.business.service.BusinessLicenseService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 营业执照信息
*
* @author zxfei
* @date 2022-12-12
*/
@RestController
@RequestMapping("business/license")
public class BusinessLicenseController extends BaseCRUDJsonBodyMappingController<BusinessLicenseService,BusinessLicenseEntity,Long> {

    @Autowired
    private ParamService paramService;

    public BusinessLicenseController(){
        super.setModuleDesc( "营业执照信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "dyZb", paramService.getParamBySecondOrganize("BusinessLicense","dyZb"));
        this.addDict(model, "dyFb", paramService.getParamBySecondOrganize("BusinessLicense","dyFb"));
        super.init(model, context);
    }

    @PostMapping({"inter"})
    @UnAuth
    public String apiSave(@RequestBody BusinessLicenseEntity businessLicense){
        JSONObject ret = new JSONObject();
        Map<String, Object> model = new HashMap();
        String busiDesc = "API接口存入营业执照信息";
        int code = 200;
        try {
            service.apiSave(businessLicense);
            model.put("message_info", "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        }catch (Exception e){
            code = 400;
            model.put("message_info", "失败");
            this.doException(this.request, busiDesc, model, e);
        }
        ret.put("code",  code);
        ret.put("message", model.remove("message_info"));
        return ret.toJSONString();
    }


}